package com.yida.data.common.core.entity.user.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 学段类型枚举
 *
 * @author ZYJ
 * @date 2021/11/16
 */
@Getter
@AllArgsConstructor
public enum SectionTypeEnum {

    /**
     * 学段类型枚举
     */
    CUSTOM_TYPE("0", "自定义"),
    KINDERGARTEN_TYPE("1", "幼儿园"),
    PRIMARY_SCHOOL_TYPE("2", "小学"),
    JUNIOR_HIGH_SCHOOL_TYPE("3", "初中"),
    HIGH_SCHOOL_TYPE("4", "高中");

    /**
     * 学段类型
     */
    private final String value;

    /**
     * 类型名称
     */
    private final String name;
}
